指定したIDのCityGMLパックプロセスの状態を確認
GET
/citygml/pack/{id}/status
const url = 'https://api.plateauview.mlit.go.jp/citygml/pack/example/status';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.plateauview.mlit.go.jp/citygml/pack/example/statusParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
パックID
Responses
Section titled “ Responses ”パック処理の状態を返却
Media type application/json
object
progress
number
startedAt
string format: date-time
status
string
Example
{ "status": "accepted"}ファイルが存在しない
Media type application/json
object
error
required
エラーメッセージ
string
reason
エラーの原因
string
url
エラーが発生したURL
string
Example generated
{ "error": "example", "reason": "example", "url": "example"}